org.keycloak.protocol.oidc

## Class RefreshTokenIntrospectionProviderFactory

- java.lang.Object
- - org.keycloak.protocol.oidc.AccessTokenIntrospectionProviderFactory
  - - org.keycloak.protocol.oidc.RefreshTokenIntrospectionProviderFactory

- All Implemented Interfaces:
    TokenIntrospectionProviderFactory, ProviderFactory<TokenIntrospectionProvider>

      public class RefreshTokenIntrospectionProviderFactory
      extends AccessTokenIntrospectionProviderFactory

  Author:
    Pedro Igor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.protocol.oidc.AccessTokenIntrospectionProviderFactory

      `ACCESS_TOKEN_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshTokenIntrospectionProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenIntrospectionProvider` | `create(KeycloakSession session)`
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.protocol.oidc.AccessTokenIntrospectionProviderFactory

      `close, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RefreshTokenIntrospectionProviderFactory

          public RefreshTokenIntrospectionProviderFactory()

  - ### Method Detail

    - #### create

          public TokenIntrospectionProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<TokenIntrospectionProvider>`
      Overrides:
        `create` in class `AccessTokenIntrospectionProviderFactory`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<TokenIntrospectionProvider>`
      Overrides:
        `getId` in class `AccessTokenIntrospectionProviderFactory`

Copyright © 2016 JBoss by Red Hat. All rights reserved.